Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

Eclipse 2.1 i Tomcat-4.1.24 ?

[es] :: Java :: Eclipse 2.1 i Tomcat-4.1.24 ?

[ Pregleda: 4198 | Odgovora: 6 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

zmilan
Milan Zivkovic
Srbija

Član broj: 7527
Poruke: 51
*.ptt.yu

ICQ: 162912130


Profil

icon Eclipse 2.1 i Tomcat-4.1.24 ?07.06.2003. u 05:26 - pre 194 meseci
Da li neko moze da mi pomogne oko toga kako da uskladim, nateram da saradjuju, Eclipse 2.1 i Tomcat-4.1.24? Ima li nekih korisnih linkova i ima li neko iskustva sa tim?
 
Odgovor na temu

Last Man Standing
Misha Kostich
Chicago

Član broj: 3775
Poruke: 101
*.client.attbi.com



Profil

icon Re: Eclipse 2.1 i Tomcat-4.1.24 ?07.06.2003. u 17:45 - pre 194 meseci
Sta konkretno mislis kad kazes "uskladim" i saradjuju"?

Ja imam jednostavan Ant build koji ocisti i iskopira class/jar fajlove iz bin foldera gde ih Eclipse snimi u WEB-INF gde ih tomcat ocekuje. Slicno i sa jsp, properties i svim ostalim fajlovima. Takodje mozes da podesis da Tomcat reloaduje tvoju aplikaciju (neophodno kad promenis class fajlove):

http://localhost:8080/manager/reload?path=/tvoja_aplikacija

(za reload iz ant-a kosritis get task).

Pogledaj i ovo: http://www.sysdeo.com/eclipse/tomcatPlugin.html

Mozda postoji i efikasniji nacin, ali meni je ovo dovoljno. Imaj u vidu da novi Eclipse 3 nije 100% kompatibilan sa verzijom 2.
A computer once beat me at chess, but it was no match for me at kick boxing.
 
Odgovor na temu

zmilan
Milan Zivkovic
Srbija

Član broj: 7527
Poruke: 51
*.ptt.yu

ICQ: 162912130


Profil

icon Re: Eclipse 2.1 i Tomcat-4.1.24 ?08.06.2003. u 21:19 - pre 194 meseci
Kao prvo da se zahvalim na odgovoru... Pod "sarajduju" sam mislio konkretno na pokretanje aplikacije iz Eclipse-a kao sto je to, recimo, reseno u JDeveloper-u... da on sam pokrene Tomcat sa mojom aplikacijom...
Pogeldacu malo po dokumentaciji, ali bih voleo da razmenim koju rec sa nekim ko ima iskustva sa time...
Unapred hvala!!!
Takodje hvala na linku za plagin, mislim da ce mi to pomoci...
 
Odgovor na temu

Last Man Standing
Misha Kostich
Chicago

Član broj: 3775
Poruke: 101
*.client.attbi.com



Profil

icon Re: Eclipse 2.1 i Tomcat-4.1.24 ?10.06.2003. u 03:48 - pre 194 meseci
E, pa moras da koristis Ant (http://ant.apache.org) za takve stvari. JDeveloper nije open source i radi zajedno sa OC4J tj preradjenim Orion-om kao app serverom. Slicno kao i Websphere studio (WSAD) sa WebSphere testnim okruzenjem. To su komercijalni proizvodi koji imaju milion dzidza-bidzica, pa i tu integraciju sa testnim app serverom. Medjutim, jednom kad napravis ant build, neces vise ni primecivati razliku. Eclipse ima jako dobru podrsku za ant i mozes da namestis da ti sve zavrsi na jedan pritisak tastera. Plus mozes da namestis i da ti sve automatski istestira JUnit-om. Meni build uzme par sekundi. Dakle, pogledaj kako Eclipse podrzava ant, skini poslednju verziju sa gornjeg linka i posle mozes da se pravis vazan.

A computer once beat me at chess, but it was no match for me at kick boxing.
 
Odgovor na temu

zmilan
Milan Zivkovic
Srbija

Član broj: 7527
Poruke: 51
*.ptt.yu

ICQ: 162912130


Profil

icon Re: Eclipse 2.1 i Tomcat-4.1.24 ?11.06.2003. u 00:33 - pre 194 meseci
Jos jednom hvala... To mi je bilo potrebno da znam da se ne bih lomio oko toga... sa ant-om jos nisam radio, ali vec neko vreme planiram da to isprobam... citao sam o tome u dokumentaciji tomcat-a i svidela mi se ideja, ali mi je ovo kod JDeveloper-a bilo lakse(ali je skuplje)... Skinuo sam ant 1.5.3.1 pa cu da probam, nadam se da nece biti problema, u suprotnom pisacu...

HVALA!!!
 
Odgovor na temu

jeremycod
Jeremic Zoran

Član broj: 7419
Poruke: 72
*.ptt.yu



Profil

icon Re: Eclipse 2.1 i Tomcat-4.1.24 ?23.09.2004. u 17:34 - pre 178 meseci
Postoji Tomcat plugin koji ti omogucava da startujesTomcat direktno iz Eclipsa kada testiras aplikaciju kao sto to mozes da uradis iz Sun One Studia ili JBuildera.
 
Odgovor na temu

mca
Bgd

Član broj: 3986
Poruke: 131
*.ceetel.co.yu



Profil

icon Re: Eclipse 2.1 i Tomcat-4.1.24 ?24.09.2004. u 08:12 - pre 178 meseci
skines sysdeo plugin ili ibm contribution for web tools i imas sve sto zamislis. Debagovanje jspa, server koda....
A mislim da nema svrhe vise koristiti Eclipse 2.1. Aktuelna verzija je 3.0.1 i svi pluginovi se pisu uglavnom za nju.
 
Odgovor na temu

[es] :: Java :: Eclipse 2.1 i Tomcat-4.1.24 ?

[ Pregleda: 4198 | Odgovora: 6 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.